Skip to main content
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
repository-versions
UpdateRepositoryVersion
curl --request PATCH \
  --url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/repository-versions \
  --header 'Content-Type: application/json' \
  --data '
{
  "object": {
    "context": {
      "id": "<string>",
      "type": "CONTEXT_TYPE_UNSPECIFIED",
      "tags": [
        "<string>"
      ]
    },
    "meta": {
      "name": "<string>",
      "annotations": {},
      "description": "<string>",
      "index_data": {},
      "parent_kind": "<string>",
      "parent_uuid": "<string>",
      "tags": [
        "<string>"
      ]
    },
    "scan_object": {
      "status": "STATUS_UNSPECIFIED",
      "aisast_status": {
        "force_full_indexing": true,
        "full_index_started_time": "2023-11-07T05:31:56Z",
        "last_full_index_sha": "<string>",
        "last_full_index_time": "2023-11-07T05:31:56Z",
        "last_partial_index_sha": "<string>",
        "last_partial_index_time": "2023-11-07T05:31:56Z",
        "last_scan_state": "AISAST_SCAN_STATE_UNSPECIFIED"
      },
      "endor_ignore_file_hash_map": {},
      "scan_time": "2023-11-07T05:31:56Z"
    },
    "spec": {
      "last_commit_date": "2023-11-07T05:31:56Z",
      "version": {
        "ref": "<string>",
        "metadata": {},
        "sha": "<string>"
      }
    },
    "tenant_meta": {}
  },
  "request": {
    "force": true,
    "update_mask": "<string>"
  }
}
'
{
  "context": {
    "id": "<string>",
    "type": "CONTEXT_TYPE_UNSPECIFIED",
    "tags": [
      "<string>"
    ],
    "will_be_deleted_at": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "scan_object": {
    "status": "STATUS_UNSPECIFIED",
    "aisast_status": {
      "force_full_indexing": true,
      "full_index_started_time": "2023-11-07T05:31:56Z",
      "last_full_index_sha": "<string>",
      "last_full_index_time": "2023-11-07T05:31:56Z",
      "last_partial_index_sha": "<string>",
      "last_partial_index_time": "2023-11-07T05:31:56Z",
      "last_scan_state": "AISAST_SCAN_STATE_UNSPECIFIED"
    },
    "endor_ignore_file_hash_map": {},
    "scan_time": "2023-11-07T05:31:56Z"
  },
  "spec": {
    "last_commit_date": "2023-11-07T05:31:56Z",
    "version": {
      "ref": "<string>",
      "metadata": {},
      "sha": "<string>"
    }
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

object.tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

Request to update the repository version.

object
object

The ingested information about a repository version.

request
object

Message used for all update requests.

Response

A successful response.

The ingested information about a repository version.

context
object
required

Contexts keep objects from different scans separated.

meta
object
required

Common fields for all Endor Labs resources.

scan_object
object
spec
object
tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of the repository version.